Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.infinispan.util
Class CacheCommandInitializer

    java.lang.Object
      org.hibernate.cache.infinispan.util.CacheCommandInitializer

All Implemented Interfaces:
  org.infinispan.commands.module.ModuleCommandInitializer

    public class CacheCommandInitializer

extends Object
implements org.infinispan.commands.module.ModuleCommandInitializer

Command initializer

Since:
  4.0

Constructor Summary
`CacheCommandInitializer()`

Method Summary
`EvictAllCommand` | `buildEvictAllCommand(String regionName)`
`void` | `initializeReplicableCommand(org.infinispan.commands.ReplicableCommand c, boolean isRemote)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheCommandInitializer

    public CacheCommandInitializer()

Method Detail

### buildEvictAllCommand

    public EvictAllCommand buildEvictAllCommand(String regionName)

### initializeReplicableCommand

    public void initializeReplicableCommand(org.infinispan.commands.ReplicableCommand c,
                                            boolean isRemote)

  Specified by:
    `initializeReplicableCommand` in interface `org.infinispan.commands.module.ModuleCommandInitializer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.